ALSA project - the C library reference: snd_pcm_extplug_callback_t Struct Reference

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
snd_pcm_extplug_callback_t Struct Reference
External Filter plugin SDK

## Data Fields
snd_pcm_sframes_t(* | transfer )(snd_pcm_extplug_t *ext, const snd_pcm_channel_area_t *dst_areas, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t *src_areas, snd_pcm_uframes_t src_offset, snd_pcm_uframes_t size)
int(* | close )(snd_pcm_extplug_t *ext)
int(* | hw_params )(snd_pcm_extplug_t *ext, snd_pcm_hw_params_t *params)
int(* | hw_free )(snd_pcm_extplug_t *ext)
void(* | dump )(snd_pcm_extplug_t *ext, snd_output_t *out)
int(* | init )(snd_pcm_extplug_t *ext)
snd_pcm_chmap_query_t **(* | query_chmaps )(snd_pcm_extplug_t *ext)
snd_pcm_chmap_t *(* | get_chmap )(snd_pcm_extplug_t *ext)
int(* | set_chmap )(snd_pcm_extplug_t *ext, const snd_pcm_chmap_t *map)

## Detailed Description

Callback table of extplug

## Field Documentation

int(* snd_pcm_extplug_callback_t::close)(snd_pcm_extplug_t *ext)

close the PCM; optional

void(* snd_pcm_extplug_callback_t::dump)(snd_pcm_extplug_t *ext, snd_output_t *out)

dump; optional

snd_pcm_chmap_t*(* snd_pcm_extplug_callback_t::get_chmap)(snd_pcm_extplug_t *ext)

get the channel map; optional; since v1.0.2

int(* snd_pcm_extplug_callback_t::hw_free)(snd_pcm_extplug_t *ext)

hw_free; optional

int(* snd_pcm_extplug_callback_t::hw_params)(snd_pcm_extplug_t *ext, snd_pcm_hw_params_t *params)

hw_params; optional

int(* snd_pcm_extplug_callback_t::init)(snd_pcm_extplug_t *ext)

init; optional initialization called at prepare or reset

snd_pcm_chmap_query_t**(* snd_pcm_extplug_callback_t::query_chmaps)(snd_pcm_extplug_t *ext)

query the channel maps; optional; since v1.0.2

int(* snd_pcm_extplug_callback_t::set_chmap)(snd_pcm_extplug_t *ext, const snd_pcm_chmap_t *map)

set the channel map; optional; since v1.0.2

snd_pcm_sframes_t(* snd_pcm_extplug_callback_t::transfer)(snd_pcm_extplug_t *ext, const snd_pcm_channel_area_t *dst_areas, snd_pcm_uframes_t dst_offset, const snd_pcm_channel_area_t *src_areas, snd_pcm_uframes_t src_offset, snd_pcm_uframes_t size)

transfer between source and destination; this is a required callback

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.8/include/pcm_extplug.h